Uploaded image for project: 'Syncope'
  1. Syncope
  2. SYNCOPE-424

Resolve OpenJPA dependency overlap

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 1.1.4, 1.2.0-M1
    • Fix Version/s: 1.1.5, 1.2.0-M1
    • Component/s: core
    • Labels:
      None

      Description

      As discussed on the dev ML [1], the OpenJPA-classes used by Syncope are both included in openjpa-2.2.2.jar and in

      {openjpa-kernel-2.2.2.jar, openjpa-jdbc-2.2.2.jar, openjpa-lib-2.2.2.jar, openjpa-persistence-2.2.2.jar, openjpa-persistence-jdbc-2.2.2.jar}

      . Thus, openjpa-2.2.2.jar could be removed.

      [1] http://syncope-dev.1063484.n5.nabble.com/OpenJPA-dependency-overlaps-td5714289.html

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                ilgrosso Francesco Chicchiriccò
                Reporter:
                wimmelg Guido Wimmel
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: